Extending Qt Creator Manual | ItemViewFind

Extending Qt Creator Manual 4.5.2

# ItemViewFind Class

(Core::ItemViewFind)

Inherits: | Core::IFindSupport

- List of all members, including inherited members

## Public Types

enum | ColorOption { DarkColored, LightColored }
enum | FetchOption { DoNotFetchMoreWhileSearching, FetchMoreWhileSearching }

## Public Functions

| ItemViewFind(QAbstractItemView *view, int role = Qt::DisplayRole, FetchOption option = DoNotFetchMoreWhileSearching)
virtual | ~ItemViewFind()

## Reimplemented Public Functions

virtual void | clearHighlights()
virtual QString | completedFindString() const
virtual QString | currentFindString() const
virtual Result | findIncremental(const QString &txt, FindFlags findFlags)
virtual Result | findStep(const QString &txt, FindFlags findFlags)
virtual void | highlightAll(const QString &txt, FindFlags findFlags)
virtual void | resetIncrementalSearch()
virtual FindFlags | supportedFindFlags() const
virtual bool | supportsReplace() const

- 14 public functions inherited from Core::IFindSupport

## Static Public Members

QFrame * | createSearchableWrapper(QAbstractItemView *treeView, ColorOption colorOption = DarkColored, FetchOption option = DoNotFetchMoreWhileSearching)
QFrame * | createSearchableWrapper(ItemViewFind *finder, ColorOption colorOption = DarkColored)

- 1 static public member inherited from Core::IFindSupport

### Additional Inherited Members

- 1 signal inherited from Core::IFindSupport

## Member Type Documentation

### enum ItemViewFind::ColorOption

### enum ItemViewFind::FetchOption

## Member Function Documentation

### ItemViewFind::ItemViewFind(QAbstractItemView *view, int role = Qt::DisplayRole, FetchOption option = DoNotFetchMoreWhileSearching)

Default constructs an instance of ItemViewFind.

### `[virtual]` ItemViewFind::~ItemViewFind()

Destroys the instance of ItemViewFind. The destructor is virtual.

### `[virtual]` void ItemViewFind::clearHighlights()

### `[virtual]` QString ItemViewFind::completedFindString() const

### `[static]` QFrame *ItemViewFind::createSearchableWrapper(QAbstractItemView *treeView, ColorOption colorOption = DarkColored, FetchOption option = DoNotFetchMoreWhileSearching)

### `[static]` QFrame *ItemViewFind::createSearchableWrapper(ItemViewFind *finder, ColorOption colorOption = DarkColored)

### `[virtual]` QString ItemViewFind::currentFindString() const

### `[virtual]` Result ItemViewFind::findIncremental(const QString &txt, FindFlags findFlags)

### `[virtual]` Result ItemViewFind::findStep(const QString &txt, FindFlags findFlags)

### `[virtual]` void ItemViewFind::highlightAll(const QString &txt, FindFlags findFlags)

### `[virtual]` void ItemViewFind::resetIncrementalSearch()

### `[virtual]` FindFlags ItemViewFind::supportedFindFlags() const

### `[virtual]` bool ItemViewFind::supportsReplace() const